Skip to main content
GET
/
v1
/
agents
/
sessions
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "<string>",
      "agent_name": "<string>",
      "title": "<string>",
      "created_by_subject": {
        "subject_id": "<string>",
        "subject_type": "<string>",
        "subject_slug": "<string>"
      },
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "pagination": {
    "limit": 123,
    "next_page_token": "<string>",
    "previous_page_token": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

agent_name
string
required

Agent whose sessions to list. Must exist in the tenant.

Required string length: 1 - 255
limit
integer
default:10

Page size. Defaults to 10, max 100.

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort sessions by creation time. Defaults to "desc".

Available options:
asc,
desc
page_token
string

Opaque token from a previous response next_page_token.

start_timestamp
string

Inclusive lower bound on created_at (ISO-8601). Defaults upstream to 30 min before end_timestamp.

end_timestamp
string

Inclusive upper bound on created_at (ISO-8601). Defaults upstream to now.

Response

Paginated sessions.

data
object[]
required
pagination
object
required